Package org.h2gis.functions.io.dbf.internal

# Class DBFDriver

java.lang.Object
org.h2gis.functions.io.dbf.internal.DBFDriver

All Implemented Interfaces:
  `org.h2gis.api.FileDriver`

public class DBFDriver extends Object implements org.h2gis.api.FileDriver
Manage DBFReader and DBFWriter

Author:
  Nicolas Fortin

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DbaseFileReader`
`dbaseFileReader`
`protected DbaseFileWriter`
`dbaseFileWriter`

## Constructor Summary

Constructors
Constructor
Description
`DBFDriver()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`DbaseFileHeader`
`getDbaseFileHeader()`
`DbaseFileReader`
`getDbaseFileReader()`
Get the file reader
`File`
`getDbfFile()`
`int`
`getEstimatedRowSize(long rowId)`
`org.h2.value.Value`
`getField(long rowId, int columnId)`
`int`
`getFieldCount()`
`long`
`getRowCount()`
`void`
`initDriver(File dbfFile, DbaseFileHeader dbaseHeader)`
`void`
`initDriverFromFile(File dbfFile)`
Init file header for DBF File
`void`
`initDriverFromFile(File dbfFile, String forceEncoding)`
Init file header for DBF File
`void`
`insertRow(Object[] values)`
Write a row

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dbaseFileReader

protected DbaseFileReader dbaseFileReader

### dbaseFileWriter

protected DbaseFileWriter dbaseFileWriter

## Constructor Details

### DBFDriver

public DBFDriver()

## Method Details

### initDriverFromFile

public void initDriverFromFile(File dbfFile) throws IOException
Init file header for DBF File

Parameters:
  `dbfFile` - DBF File path
Throws:
  `IOException`

### initDriverFromFile

public void initDriverFromFile(File dbfFile, String forceEncoding) throws IOException
Init file header for DBF File

Parameters:
  `dbfFile` - DBF File path
  `forceEncoding` - File encoding to use, null will use the file encoding provided in the file header
Throws:
  `IOException`

### initDriver

public void initDriver(File dbfFile, DbaseFileHeader dbaseHeader) throws IOException

Throws:
  `IOException`

### insertRow

public void insertRow(Object[] values) throws IOException
Write a row

Specified by:
  `insertRow` in interface `org.h2gis.api.FileDriver`
Parameters:
  `values` - Content, must be of the same type as declared in the header
Throws:
  `IOException`

### getDbfFile

public File getDbfFile()

Returns:
  DBF File path

### getDbaseFileHeader

public DbaseFileHeader getDbaseFileHeader()

Returns:
  The DBF file header

### close

public void close() throws IOException

Specified by:
  `close` in interface `org.h2gis.api.FileDriver`
Throws:
  `IOException`

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `org.h2gis.api.FileDriver`

### getFieldCount

public int getFieldCount()

Specified by:
  `getFieldCount` in interface `org.h2gis.api.FileDriver`
Returns:
  Column count

### getEstimatedRowSize

public int getEstimatedRowSize(long rowId)

Specified by:
  `getEstimatedRowSize` in interface `org.h2gis.api.FileDriver`

### getField

public org.h2.value.Value getField(long rowId, int columnId) throws IOException

Specified by:
  `getField` in interface `org.h2gis.api.FileDriver`
Throws:
  `IOException`

### getDbaseFileReader

public DbaseFileReader getDbaseFileReader()
Get the file reader

Returns: